debian.org / О Debian Где взять Debian Поддержка Уголок разработчика Новости Wiki

Автор Тема: flashplugin-nonfree не устанавливается  (Прочитано 2185 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Deileson

  • Topic Author
  • Сообщений: 46
  • Debian Sid x64
flashplugin-nonfree не устанавливается
« : 23 Август 2014, 22:10:29 »
Добрый день проблемма в следущем немогу установить flashplugin-nonfree

Необходимо получить 0 B/17,8 kB архивов. После распаковки 0 B будет занято.
(Чтение базы данных … на данный момент установлено 99217 файлов и каталогов.)
Подготовка к распаковке …/flashplugin-nonfree_1%3a3.5_amd64.deb …
Распаковывается flashplugin-nonfree (1:3.5) на замену (1:3.5) …
Обрабатываются триггеры для man-db (2.6.7.1-1) …
Обрабатываются триггеры для hicolor-icon-theme (0.13-1) …
Обрабатываются триггеры для gnome-menus (3.13.3-1) …
Обрабатываются триггеры для desktop-file-utils (0.22-1) …
Обрабатываются триггеры для mime-support (3.56) …
Настраивается пакет flashplugin-nonfree (1:3.5) …
--2014-08-23 22:04:51--  http://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.400/install_flash_player_11_linux.x86_64.tar.gz
Распознаётся fpdownload.macromedia.com (fpdownload.macromedia.com)… ошибка: Время ожидания соединения истекло.
wget: не удаётся разрешить адрес «fpdownload.macromedia.com»
ERROR: wget failed to download http://fpdownload.macromedia.com/get/flashplayer/pdc/11.2.202.400/install_flash_player_11_linux.x86_64.tar.gz
More information might be available at:
  http://wiki.debian.org/FlashPlayer


Пробую установить уже как дня три , все то же.

Интернет работает хорошо
USB модем Билайн.
« Последнее редактирование: 23 Август 2014, 22:13:25 от Deileson »
Ubuntu 14.04 LTS (Unity); Debian Sid (Gnome 3)
Ничего плохого нет в том что умный человек иногда тупит. Гораздо хуже когда тупой постоянно умничает.

 

Оффлайн Malaheenee

  • Сообщений: 2565
  • Учтите, мы можем дать и вредный совет.
Re: flashplugin-nonfree не устанавливается
« Ответ #1 : 24 Август 2014, 06:27:58 »
Это случается. Часто скрипт установки ищет самую новую версию, которой еще нет на сервере. Починится само.
Debian Sid: XFCE x 1, openbox x 2.
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн Deileson

  • Topic Author
  • Сообщений: 46
  • Debian Sid x64
Re: flashplugin-nonfree не устанавливается
« Ответ #2 : 24 Август 2014, 12:54:50 »
Долго лазил в инете, установил следущем образом ввел команды

apt-get install flashplugin-nonfree
Установилось с ошибкой, затем

update-flashplugin-nonfree --install
И в друг все скачалось и установилось без ошибок.
Ubuntu 14.04 LTS (Unity); Debian Sid (Gnome 3)
Ничего плохого нет в том что умный человек иногда тупит. Гораздо хуже когда тупой постоянно умничает.

 

Оффлайн amd_amd

  • Сообщений: 269
  • jessie jwm & stretch jwm
Re: flashplugin-nonfree не устанавливается
« Ответ #3 : 11 Январь 2017, 01:32:43 »
Не могу установить flashplugin-nonfree. Вчера, позавчера и вообще всегда - устанавливался, а сегодня не хочет - установка заканчивается ошибкой
ERROR: wget failed to download http://people.debian.org/~bartm/flashplugin-nonfree/D5C0FC14/fp.24.0.0.194.sha512.amd64.pgp.asc
 

Оффлайн ferum

  • Сообщений: 2923
  • wheezy KDE & jessie LXDE & stretch KDE
Re: flashplugin-nonfree не устанавливается
« Ответ #4 : 11 Январь 2017, 10:08:06 »
flashplugin-nonfree
Пакет не содержащий бинарного кода, просто скрипт для скачивания flashplayer   с официального сайта и помещения его в нужное место. Stable на сегодняшний день уже довольно не свеж и адрес скачивания в скрипте мог десять раз поменяться. Я просто скачиваю  flashplugin-nonfree из sid вручную и устанавливаю и всё всегда хорошо.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн amd_amd

  • Сообщений: 269
  • jessie jwm & stretch jwm
Re: flashplugin-nonfree не устанавливается
« Ответ #5 : 11 Январь 2017, 16:13:46 »
никаких стабле - стретч и все всегда устанавливалось, начиная со вчера apt-get install flashplugin-nonfree выдает ошибку, пробовал качать deb пакет с целью установки через dpkg и нихрена таже самая ошибка, не надо мне про все и всегда - надо про именно сейчас, прямо сейчас кто нибудь может установить flashplugin-nonfree пофигу как - через репу или как иначе...
 

Оффлайн ferum

  • Сообщений: 2923
  • wheezy KDE & jessie LXDE & stretch KDE
Re: flashplugin-nonfree не устанавливается
« Ответ #6 : 11 Январь 2017, 16:31:48 »
просто скрипт для скачивания flashplayer   с официального сайта и помещения его в нужное место.
https://get.adobe.com/ru/flashplayer/ архив tar.gz  скачиваете , распаковываете
# mkdir - p /usr/lib/flashplugin-nonfree
# cp libflashplayer.so  /usr/lib/flashplugin-nonfree
всё, по мере надобности свежий архив, и  libflashplayer.so меняем.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн amd_amd

  • Сообщений: 269
  • jessie jwm & stretch jwm
Re: flashplugin-nonfree не устанавливается
« Ответ #7 : 11 Январь 2017, 19:20:13 »
все по порядку:
создаю директорию
# sudo mkdir -p /usr/lib/flashplugin-nonfree
извлекаю туда содержимое архива tar.gz - естественно libflashplayer.so есть в содержимом...
выполняю следушую команду
# sudo cp libflashplayer.so  /usr/lib/flashplugin-nonfree
и получаю
cp: не удалось выполнить stat для 'libflashplayer.so': Нет такого файла или каталога
как же нет - есть, глаза не обманешь - можно даже заскриншотить
« Последнее редактирование: 11 Январь 2017, 22:26:51 от amd_amd »
 

Оффлайн qwertKI

  • Сообщений: 46
  • Debian Stretch+openbox=BunsenLabs Linux Helium
« Последнее редактирование: 11 Январь 2017, 21:01:59 от qwertKI »
Я знаю только то, что ничего не знаю ...
 

Оффлайн amd_amd

  • Сообщений: 269
  • jessie jwm & stretch jwm
Re: flashplugin-nonfree не устанавливается
« Ответ #9 : 11 Январь 2017, 22:03:30 »
не система не при чем - только стретч отжали, на стабле все работает в штатном режиме, вердикт   - установка флешплеера на стретч отныне будет происходить через жопу...

Cообщение объединено [time]11 Январь 2017, 22:17:34[/time]
http://geekkies.in.ua/linux/how-to-install-flash-in-debian.html
этот метод для стретч больше не работает...

Cообщение объединено [time]11 Январь 2017, 22:20:47[/time]
http://compizomania.blogspot.com/2016/09/adobe-flash-player-linux.html
а это вобще хз что такое...

Cообщение объединено [time]11 Январь 2017, 22:23:23[/time]
вопрос остается открытым - как установить flashplugin-nonfree в stretch... ниодин из предложеных способов выше не помог
« Последнее редактирование: 11 Январь 2017, 22:27:24 от amd_amd »
 
Пользователи, которые поблагодарили этот пост: ek-nfn

Оффлайн ferum

  • Сообщений: 2923
  • wheezy KDE & jessie LXDE & stretch KDE
Re: flashplugin-nonfree не устанавливается
« Ответ #10 : 12 Январь 2017, 16:43:39 »
извлекаю туда содержимое архива tar.gz - естественно libflashplayer.so есть в содержимом...
извлекать туда ни чего не надо, туда необходимо просто скопировать  libflashplayer.so .
Русские дебианщики против цифрового слабоумия !
 

Оффлайн amd_amd

  • Сообщений: 269
  • jessie jwm & stretch jwm
Re: flashplugin-nonfree не устанавливается
« Ответ #11 : 12 Январь 2017, 23:27:05 »
туда необходимо просто скопировать  libflashplayer.so
скопировал все уже от безысходности и libflashplayer.so естественно тоже - в ответ нет такого файла, как нет - я его вижу, сумасшествие какое то - ладно сегодня на сутках тут машина УГ на 370-ом сокете который нихера флеш не тянет, завтра дома соберусь с новыми силами и попробую еще разок...

Cообщение объединено 13 Январь 2017, 20:13:40
туда необходимо просто скопировать  libflashplayer.so

вот такая загогулина...
« Последнее редактирование: 13 Январь 2017, 20:13:40 от amd_amd »
 

Оффлайн qupl

  • Сообщений: 4137
  • memento mori
  • Jabber: qupl@jabber.ru
Re: flashplugin-nonfree не устанавливается
« Ответ #12 : 14 Январь 2017, 13:09:09 »
А так? Чудес ведь не бывает.
sudo cp /полный путь/libflashplayer.so  /usr/lib/flashplugin-nonfree

Оффлайн amd_amd

  • Сообщений: 269
  • jessie jwm & stretch jwm
Re: flashplugin-nonfree не устанавливается
« Ответ #13 : 14 Январь 2017, 14:03:07 »
sudo cp /полный путь/libflashplayer.so  /usr/lib/flashplugin-nonfree
как это? libflashplayer.so уже находится по пути /usr/lib/flashplugin-nonfree, получается команда будет выглядеть так?
# sudo cp /usr/lib/flashplugin-nonfree/libflashplayer.so  /usr/lib/flashplugin-nonfree
пишет что libflashplayer.so один и тот же файл
 

Оффлайн qupl

  • Сообщений: 4137
  • memento mori
  • Jabber: qupl@jabber.ru
Re: flashplugin-nonfree не устанавливается
« Ответ #14 : 15 Январь 2017, 14:38:27 »
amd_amd, тогда разберитесь что Вы хотите сделать. Судя по команде Вы пытаетесь скопировать файл, если он уже находится там куда Вы его копируете, то вопрос - зачем?

Теги: